Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Here is a list of all documented class members with links to the class documentation for each member:

### - r -

- rand_float() : faiss::RandomGenerator
- rand_int() : faiss::RandomGenerator
- rand_long() : faiss::RandomGenerator
- random_rotation : faiss::PCAMatrix
- RandomGenerator() : faiss::RandomGenerator
- RandomRotationMatrix() : faiss::RandomRotationMatrix
- range_search() : faiss::Index , faiss::IndexFlat , faiss::IndexIVFFlat
- RangeSearchResult() : faiss::RangeSearchResult
- reclaimMemory() : faiss::gpu::GpuIndexIVFFlat , faiss::gpu::GpuIndexIVFPQ , faiss::gpu::IVFBase
- reclaimMemory_() : faiss::gpu::IVFBase
- reconstruct() : faiss::gpu::GpuIndexFlat , faiss::gpu::IndexProxy , faiss::Index , faiss::IndexFlat , faiss::IndexIVFFlat , faiss::IndexIVFPQ , faiss::IndexPQ , faiss::MultiIndexQuantizer
- reconstruct_n() : faiss::gpu::GpuIndexFlat , faiss::Index , faiss::IndexIVFPQ , faiss::IndexIVFPQR , faiss::IndexPQ , faiss::IndexPreTransform
- reduceAdd() : faiss::gpu::Math< float2 > , faiss::gpu::Math< float4 > , faiss::gpu::Math< T >
- refine_codes : faiss::IndexIVFPQR
- refine_index : faiss::IndexRefineFlat
- refine_pq : faiss::IndexIVFPQR
- RemapDimensionsTransform() : faiss::RemapDimensionsTransform
- remove_ids() : faiss::Index , faiss::IndexIVFFlat , faiss::IndexIVFPQ , faiss::IndexIVFPQR , faiss::IndexPreTransform
- removeIndex() : faiss::gpu::IndexProxy
- reorder() : faiss::HeapArray< C >
- reserveMemory() : faiss::gpu::IVFBase , faiss::gpu::GpuIndexIVFFlat , faiss::gpu::GpuIndexIVFPQ
- reserveVecs : faiss::gpu::GpuClonerOptions
- reset() : faiss::gpu::GpuIndexIVFPQ , faiss::IndexPQ , faiss::IndexLSH , faiss::Index , faiss::IndexPreTransform , faiss::IndexSplitVectors , faiss::MultiIndexQuantizer , faiss::IndexIVF , faiss::gpu::FlatIndex , faiss::gpu::GpuIndexIVFFlat , faiss::IndexShards , faiss::IndexIVFPQR , faiss::IndexIVFPQCompact , faiss::IndexIVFPQ , faiss::IndexIDMap , faiss::IndexIVFFlat , faiss::IndexRefineFlat , faiss::gpu::GpuIndexFlat , faiss::IndexFlat1D , faiss::gpu::IndexProxy , faiss::gpu::IVFBase , faiss::IndexFlat
- resources_ : faiss::gpu::GpuIndex , faiss::gpu::IVFBase
- returnAlloc() : faiss::gpu::StackDeviceMemory::Stack
- reverse_transform() : faiss::PCAMatrix , faiss::VectorTransform , faiss::RemapDimensionsTransform , faiss::OPQMatrix , faiss::RandomRotationMatrix
- rotate_data : faiss::IndexLSH
- rrot : faiss::IndexLSH
- runOnIndex() : faiss::gpu::IndexProxy